org.hibernate.search.query.dsl.impl

## Class RemoteSimpleQueryStringQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.hibernate.search.query.dsl.impl.RemoteSimpleQueryStringQuery

- All Implemented Interfaces:
    Cloneable

      public class RemoteSimpleQueryStringQuery
      extends Query

  A query using the `SimpleQueryParser` interpreted remotely, thus based on the analyzers defined in the schema.
  Author:
    Guillaume Smet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoteSimpleQueryStringQuery.Builder`
    `static class` | `RemoteSimpleQueryStringQuery.Field`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RemoteSimpleQueryStringQuery.Field>` | `getFields()`
    `RemoteAnalyzerReference` | `getOriginalRemoteAnalyzerReference()`
    `String` | `getQuery()`
    `RemoteAnalyzerReference` | `getQueryRemoteAnalyzerReference()`
    `boolean` | `isMatchAll()`
    `String` | `toString(String field)`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, createWeight, equals, getBoost, hashCode, rewrite, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getQuery

          public String getQuery()

    - #### getFields

          public List<RemoteSimpleQueryStringQuery.Field> getFields()

    - #### isMatchAll

          public boolean isMatchAll()

    - #### getOriginalRemoteAnalyzerReference

          public RemoteAnalyzerReference getOriginalRemoteAnalyzerReference()

    - #### getQueryRemoteAnalyzerReference

          public RemoteAnalyzerReference getQueryRemoteAnalyzerReference()

    - #### toString

          public String toString(String field)

      Specified by:
        `toString` in class `Query`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved